Bug 953329 - FormatDestroyError: error wiping old signatures from /dev/vda2: 1
Summary: FormatDestroyError: error wiping old signatures from /dev/vda2: 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0063a4c32b1b4f8ec47337ba68d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-18 00:37 UTC by Adam Williamson
Modified: 2013-05-17 16:28 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-17 16:28:30 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (518.83 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: anaconda.log (11.40 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: backtrace (1.29 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: environ (781 bytes, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: lsblk_output (1.90 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (3.31 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: packaging.log (326.88 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: program.log (23.37 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: storage.log (64.20 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
File: syslog (71.63 KB, text/plain)
2013-04-18 00:37 UTC, Adam Williamson
no flags Details
screen shot of the anaconda main display (12.77 KB, application/octet-stream)
2013-05-10 20:18 UTC, Dean Hunter
no flags Details
screen shot of the program log display (14.85 KB, application/octet-stream)
2013-05-10 20:19 UTC, Dean Hunter
no flags Details
/tmp/program.log (12.93 KB, text/plain)
2013-05-11 04:03 UTC, Dean Hunter
no flags Details

Description Adam Williamson 2013-04-18 00:37:18 UTC
Description of problem:
Installing to a KVM with single VirtIO HD. Had an existing F19 install on it, I think. Ran 'fdisk /dev/vda', deleted all partitions, created a new DOS disk label, rebooted, and then did a guided partitioning install - just selected all defaults and started the install.
The following was filed automatically by anaconda:
anaconda 19.20-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1489, in _postCreate
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 791, in create
    self._postCreate()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
FormatDestroyError: error wiping old signatures from /dev/vda2: 1

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20x86_64 quiet slub_debug=- BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 791, in create
    self._postCreate()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1489, in _postCreate
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/vda2: 1

Comment 1 Adam Williamson 2013-04-18 00:37:21 UTC
Created attachment 737055 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2013-04-18 00:37:24 UTC
Created attachment 737056 [details]
File: anaconda.log

Comment 3 Adam Williamson 2013-04-18 00:37:26 UTC
Created attachment 737057 [details]
File: backtrace

Comment 4 Adam Williamson 2013-04-18 00:37:28 UTC
Created attachment 737058 [details]
File: environ

Comment 5 Adam Williamson 2013-04-18 00:37:29 UTC
Created attachment 737059 [details]
File: ifcfg.log

Comment 6 Adam Williamson 2013-04-18 00:37:31 UTC
Created attachment 737060 [details]
File: lsblk_output

Comment 7 Adam Williamson 2013-04-18 00:37:32 UTC
Created attachment 737061 [details]
File: nmcli_dev_list

Comment 8 Adam Williamson 2013-04-18 00:37:35 UTC
Created attachment 737062 [details]
File: packaging.log

Comment 9 Adam Williamson 2013-04-18 00:37:37 UTC
Created attachment 737063 [details]
File: program.log

Comment 10 Adam Williamson 2013-04-18 00:37:39 UTC
Created attachment 737064 [details]
File: storage.log

Comment 11 Adam Williamson 2013-04-18 00:37:40 UTC
Created attachment 737065 [details]
File: syslog

Comment 12 Adam Williamson 2013-04-18 01:55:50 UTC
Description of problem:
Install F19 Alpha RC4 DVD (on USB stick) to a blank SATA disk (was previously part of a RAID array, RAID array was destroyed immediately prior to install, so disk should have been left totally blank).

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20x86_64 xdriver=vesa nomodeset quiet slub_debug=- BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 791, in create
    self._postCreate()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1489, in _postCreate
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/sda2: 1

Comment 13 Adam Williamson 2013-04-18 01:59:06 UTC
Both times I hit this bug, I could reboot, try again, and install successfully. On the second attempt, it is apparent that the first attempt successfully created some partitions - the disk shows as fully occupied and I have to go through 'Reclaim Space'. But this second time, the formatting stage succeeds and installation proceeds.

Comment 14 Adam Williamson 2013-04-18 04:26:09 UTC
bcl asks: " It would be interesting to see what parted -s /dev/vda2 u s p showed after a failure."

Comment 15 David Lehman 2013-04-18 20:08:01 UTC
I guess I'll add the -f unconditionally so the world can keep on turning until wipefs gets its mind right. Pretty tired of this kind of stuff.

Comment 16 Pavel Zhukov 2013-04-24 14:33:05 UTC
Description of problem:
clean installation. nothing special

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 791, in create
    self._postCreate()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1489, in _postCreate
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/sda2: 1

Comment 17 Fedora Update System 2013-05-03 23:04:51 UTC
anaconda-19.24-1.fc19, python-blivet-0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.12-1.fc19,anaconda-19.24-1.fc19

Comment 18 Fedora Update System 2013-05-04 18:51:12 UTC
Package anaconda-19.24-1.fc19, python-blivet-0.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.24-1.fc19 python-blivet-0.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7403/python-blivet-0.12-1.fc19,anaconda-19.24-1.fc19
then log in and leave karma (feedback).

Comment 19 Bill Sanford 2013-05-06 12:27:11 UTC
Description of problem:
I just tried to add a user during the install process.

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/62656/initrd method=http://download.devel.redhat.com/released/F-19/Alpha/Fedora/i386/os/ repo=http://download.devel.redhat.com/released/F-19/Alpha/Fedora/i386/os/  BOOT_IMAGE=/distrotrees/62656/kernel 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 272, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 791, in create
    self._postCreate()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 1489, in _postCreate
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/sda2: 1

Comment 20 Dean Hunter 2013-05-10 18:28:15 UTC
This problem persists in Fedora 19 Beta TC3.

Comment 21 Adam Williamson 2013-05-10 19:17:17 UTC
dean: can you attach your /tmp/program.log from an install that reproduces this problem? Thanks.

Comment 22 Dean Hunter 2013-05-10 19:45:22 UTC
I do not know how to retrieve files from a virtual machine whose build failed. Please advise.

I was left at a prompt that asks:

  What do you want to do now?
  1) Report Bug
  2) Debug
  3) Quit

  Please make your choice from above:

Comment 23 Dean Hunter 2013-05-10 20:18:54 UTC
Created attachment 746374 [details]
screen shot of the anaconda main display

Comment 24 Dean Hunter 2013-05-10 20:19:35 UTC
Created attachment 746376 [details]
screen shot of the program log display

Comment 25 Adam Williamson 2013-05-10 21:46:31 UTC
Dean: you can hit ctrl-alt-f2 to get a console. If your VM has a network connection, you can fpaste the files out from there. Or you can scp them to the host system.

Comment 26 Dean Hunter 2013-05-11 04:03:18 UTC
Created attachment 746473 [details]
/tmp/program.log

Comment 27 Adam Williamson 2013-05-11 04:13:09 UTC
So that program.log shows wipefs was called with -f each time. bcl says that's the best anaconda can do, and if it still fails after that, it's wipefs' problem. So, re-assigning.

Comment 28 Dean Hunter 2013-05-11 04:17:41 UTC
As I was trying to reproduce the bug to get program.log, the install was successful twice before it failed again?!?!?!

  cat >$path/anaconda-ks.cfg <<EOF
auth       --enableshadow --passalgo=sha512
autopart   --type=lvm
bootloader --location=mbr --boot-drive=$disk
cdrom
clearpart  --all --initlabel --drives=$disk
firewall   --enable --service=mdns,ssh
firstboot  --disable
ignoredisk --only-use=vda
keyboard   --vckeymap=us --xlayouts='us'
lang         en_US.UTF-8
network    --activate --bootproto=static --device=eth0 --gateway=192.168.1.254 --ip=192.168.1.$ip --nameserver=$nameserver --netmask=255.255.255.0 --noipv6
network    --hostname=$host.hunter.org
reboot
rootpw     --iscrypted \$6\$6YuUd3dm5L5ALg25\$mOot78r5I7kNFPhNRcOuFmHHS3FO.vfetR.z7K6LfGEmIk6mMlWh72coTpbiPna5puEDDPvNYngGnFL3KCvGo.
text
timezone     America/Chicago --isUtc --ntpserver=192.168.1.10
user       --gecos="Local Administrator" --groups=wheel --iscrypted --name=local --password=\$6\$6YuUd3dm5L5ALg25\$mOot78r5I7kNFPhNRcOuFmHHS3FO.vfetR.z7K6LfGEmIk6mMlWh72coTpbiPna5puEDDPvNYngGnFL3KCvGo.
xconfig    --startxonboot

%packages
@base-x
@core
@dial-up
@firefox
@fonts
@gnome-desktop
@hardware-support
@input-methods
@multimedia
@printing
@standard
%end
EOF

  virsh destroy $domain
  virsh undefine $domain
  virsh vol-delete $domain --pool Guests
  virsh vol-create-as --name $domain --pool Guests --capacity $capacity

  virt-install \
    --autostart \
    --channel unix,path=/var/lib/libvirt/qemu/guest.agent,mode=bind,target_type=virtio,name=org.qemu.guest_agent.0 \
    --connect qemu:///system \
    --disk vol=Guests/$domain \
    --extra-args "inst.ks=file:/anaconda-ks.cfg" \
    --graphics spice \
    --initrd-inject $path/anaconda-ks.cfg \
    --location $location \
    --name $domain \
    --network network=Host \
    --noautoconsole \
    --os-type "linux" \
    --os-variant "fedora18" \
    --ram 2048 \
    --vcpus 2

Comment 29 Dean Hunter 2013-05-13 00:49:46 UTC
This problem persists in Fedora 19 Beta TC4.

Comment 30 Karel Zak 2013-05-13 13:20:53 UTC
(In reply to comment #27)
> So that program.log shows wipefs was called with -f each time. bcl says
> that's the best anaconda can do, and if it still fails after that, it's
> wipefs' problem. So, re-assigning.

According to comment #9 it seems that anaconda tries to erase actively used device (so you get EBUSY), the device /dev/vda2 is used by DM. In this case -f for wipefs(8) is workaround rather than a real bugfix.


I don't see any wipefs(8) error message in the program.log from comment #26, but I see:

Running... lvm pvcreate --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  --dataalignment 1024k /dev/vda2
Can't initialize physical volume "/dev/vda2" of volume group "fedora_fedora19" without -ff

It would be also nice to call lsblk(8) here to get more infomation. I guess that lvm failed because the device is still used by another lvm instance.

Anyway, I need more information to fix anything in wipefs(8). From my point of view it works as expected. Sorry.

Comment 31 Dean Hunter 2013-05-14 15:15:39 UTC
The problem occurs in an alternating (odd/even) pattern; every odd time it fails and every even time is succeeds.

Comment 32 Dean Hunter 2013-05-17 15:56:01 UTC
I am sorry, but after further review I am now getting a different error:

03:59:36,249 INFO program: Running... lvm pvcreate --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  --dataalignment 1024k /dev/vda2
03:59:36,314 INFO program:   Can't initialize physical volume "/dev/vda2" of volume group "fedora_fedora19" without -ff
03:59:36,317 DEBUG program: Return code: 5

Please disregard my comments from #20 on and I apologize for my lack of attention.

Comment 33 Adam Williamson 2013-05-17 16:28:30 UTC
Thanks, Dean. Can you file a new bug for that problem? File against anaconda, with all logs attached. Thanks again!


Note You need to log in before you can comment on or make changes to this bug.